RubyGems Navigation menu

beaker 2.52.0

Puppetlabs accceptance testing harness

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 6.1.0 - June 04, 2024 (285 KB)
  2. 6.0.0 - May 28, 2024 (285 KB)
  3. 5.8.1 - May 06, 2024 (290 KB)
  4. 5.8.0 - March 22, 2024 (290 KB)
  5. 5.7.0 - February 13, 2024 (290 KB)
  6. 2.52.0 - November 30, 2016 (352 KB)
Show all versions (228 total)

Runtime Dependencies (24):

aws-sdk-v1 ~> 1.57
beaker-hiera ~> 0.0
beaker-pe ~> 0.0
docker-api >= 0
fission ~> 0.4
fog < 1.35.0, ~> 1.25
fog-google ~> 0.0.9
google-api-client < 0.9.5, ~> 0.8
hocon ~> 1.0
inifile ~> 2.0
in-parallel ~> 0.1
json ~> 1.8
mime-types ~> 2.99
minitest ~> 5.4
net-scp ~> 1.2
net-ssh ~> 2.9
public_suffix < 1.5.0
rbvmomi < 1.9.0, ~> 1.8
rsync ~> 1.0.9
unf ~> 0.1

Development Dependencies (7):

fakefs ~> 0.6
pry ~> 0.10
rake ~> 10.1
rspec ~> 3.0
rspec-its >= 0
simplecov >= 0
yard >= 0

Owners:

Authors:

  • Puppetlabs

SHA 256 checksum:

= Copy to clipboard Copied!

Total downloads 4,405,328

For this version 363,746

License:

Apache2

Required Ruby Version: >= 0

Links: